Skip to main content
POST
Start a site audit

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

project_id
string<uuid>
required

Body

application/json

Request body for starting a new site audit crawl.

target_url
string
required

The domain or URL to crawl. Can be a bare domain (e.g., 'example.com') or a full URL (e.g., 'https://example.com'). Must match the domain configured for the project.

Required string length: 3 - 2048
max_pages
integer | null
default:50

Maximum pages to crawl. Defaults to 50.

Required range: 1 <= x <= 10000

Response

Successful Response

success
boolean
default:true
data
AuditResponse · object | null

Full site audit record returned after starting or retrieving an audit.